package com.ghy.order.service;

import java.util.List;
import com.ghy.order.domain.OrderAttachmentRecord;

/**
 * 附件费Service接口
 *
 * @author clunt
 * @date 2024-01-02
 */
public interface IOrderAttachmentRecordService
{
    /**
     * 查询附件费
     *
     * @param id 附件费主键
     * @return 附件费
     */
    public OrderAttachmentRecord selectOrderAttachmentRecordById(Long id);

    /**
     * 查询附件费列表
     *
     * @param orderAttachmentRecord 附件费
     * @return 附件费集合
     */
    public List<OrderAttachmentRecord> selectOrderAttachmentRecordList(OrderAttachmentRecord orderAttachmentRecord);

    /**
     * 新增附件费
     *
     * @param orderAttachmentRecord 附件费
     * @return 结果
     */
    public int insertOrderAttachmentRecord(OrderAttachmentRecord orderAttachmentRecord);

    /**
     * 修改附件费
     *
     * @param orderAttachmentRecord 附件费
     * @return 结果
     */
    public int updateOrderAttachmentRecord(OrderAttachmentRecord orderAttachmentRecord);

    /**
     * 批量删除附件费
     *
     * @param ids 需要删除的附件费主键集合
     * @return 结果
     */
    public int deleteOrderAttachmentRecordByIds(String ids);

    /**
     * 删除附件费信息
     *
     * @param id 附件费主键
     * @return 结果
     */
    public int deleteOrderAttachmentRecordById(Long id);

    int deleteOrderAttachmentRecordByOrderDetailId(Long orderDetailId);
}